> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cost for a visit

> Operacion: Get cost for a visit.



## OpenAPI

````yaml /generated/specs/operations.json get /api/v1/visit_cost/{visitDetailId}
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/visit_cost/{visitDetailId}:
    get:
      tags:
        - Visit Costs
      summary: Get cost for a visit
      description: 'Operacion: Get cost for a visit.'
      operationId: VisitCostController_findByVisit
      parameters:
        - name: visitDetailId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Visit cost details with relations
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisitCostWithRelationsResponseDto'
        '404':
          description: Visit cost not found
      security:
        - bearerAuth: []
components:
  schemas:
    VisitCostWithRelationsResponseDto:
      type: object
      properties:
        visit_cost_id:
          type: number
          description: Visit cost ID
        visit_detail_id:
          type: string
          description: Visit detail ID
        technician_cost:
          type: object
          description: Technician cost
        cost_per_km_technician:
          type: object
          description: Cost per km for technician
        km_traveled:
          type: object
          description: Km traveled
        tolls:
          type: object
          description: Tolls
        cost_km_per_km_traveled:
          type: object
          description: Cost per km traveled
        additional_cost:
          type: object
          description: Additional cost
        cost_type_id:
          type: object
          description: Cost type ID
        technician_cost_status:
          type: object
          description: Technician cost status
        client_cost_status:
          type: object
          description: Client cost status
        client_cost:
          type: object
          description: Client cost
        cost_per_km_client:
          type: object
          description: Cost per km for client
        km_traveled_client:
          type: object
          description: Km traveled for client
        client_currency:
          type: object
          description: Client currency
        technician_currency:
          type: object
          description: Technician currency
        technician_payed:
          type: object
          description: Technician payed
        costType:
          type: object
          description: Cost type
      required:
        - visit_cost_id
        - visit_detail_id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````